#ifndef _PLAYIR_H_
    #define _PLAYIR_H_
/* ========================================
 * Copyright Wade Maxfield, 2020
 * All Rights Reserved
 * LICENSED SOFTWARE.
 *  Under the GPL v3 license
 * This license does not override previous licenses
 * Some information may be Proprietary to 
 * Cypress (http://www.cypress.com) for their
 * PSoC 5LP®--Cypress Semiconductor and
 * only usable on their devices.
 * PROPERTY OF Wade Maxfield.
 * Commercial license available
 * ========================================
*/
#include "main.h"
    

#ifndef YES
    #define YES 1
#endif

#ifndef NO
    #define NO 0
#endif


extern enum equipEnum CurrentEquipmentID;
    
void init_playIR();
void addPlayIRToQueue(enum captureTypesEnum playID, enum equipEnum equipID);
int16 IR_is_playing();// return 1 if ir signal is being played out
void playIRSignal(enum captureTypesEnum playID, enum equipEnum equipID);
void handle_playIR() ;
int16 playNextIR();
#endif    
/* [] END OF FILE */
