#ifndef _TEMP_CTL_H_
#define _TEMP_CTL_H_
/* ========================================
 * Copyright Wade Maxfield, 2020
 * All Rights Reserved
 * LICENSED SOFTWARE.
 *  Under the GPL v3 license
 * This license does not override previous licenses
 * Some information may be Proprietary to 
 * Cypress (http://www.cypress.com) for their
 * PSoC 5LP®--Cypress Semiconductor and
 * only usable on their devices.
 * PROPERTY OF Wade Maxfield.
 * Commercial license available
 * ========================================
*/
#include "main.h"

void init_TemperatureControl();
void handle_TemperatureControl();
    
#define HEAT 1
#define COOL 0

extern float coolTemp;
extern float heatTemp;
extern int16 onOff; // if YES (1) is on.  control the aircon
extern int16 operatingMode; // if 1, heat, if 0 cool
extern int16 recordingFinished;
extern int16 manualMode ; // 1== manual, 0== automatic
extern int32 decisionTimer;

extern float temperature;
extern enum equipEnum CurrentEquipmentID;
 
#endif

/* [] END OF FILE */
