#ifndef _MAIN_H_
    #define MAIN_H_
/* ========================================
 * Copyright Wade Maxfield, 2020
 * All Rights Reserved
 * LICENSED SOFTWARE.
 *  Under the GPL v3 license
 * This license does not override previous licenses
 * Some information may be Proprietary to 
 * Cypress (http://www.cypress.com) for their
 * PSoC 5LP®--Cypress Semiconductor and
 * only usable on their devices.
 * PROPERTY OF Wade Maxfield.
 * Commercial license available
 * ========================================
*/   
#include <project.h>
#include <ds18b20.h>
#include "Milliseconds.h"
#include "parseCommands.h"
#include "Version.h"
#include "Leds.h"
#include "USBSerial.h"
#include "nextion_interface.h"
#include "captureIR.h"
#include "playIR.h"
#include "TemperatureControl.h"

#endif
/* [] END OF FILE */
