#ifndef _NEXTION_INTERFACE_H_
    #define _NEXTION_INTERFACE_H_
/* ========================================
 * Copyright Wade Maxfield, 2020
 * All Rights Reserved
 * LICENSED SOFTWARE.
 *  Under the GPL v3 license
 * This license does not override previous licenses
 * Some information may be Proprietary to 
 * Cypress (http://www.cypress.com) for their
 * PSoC 5LP®--Cypress Semiconductor and
 * only usable on their devices.
 * PROPERTY OF Wade Maxfield.
 * Commercial license available
 * ========================================
*/
#include <project.h>

void Nextion_interface_init();  // start up the nextion driver
void handle_Nextion_interface();

#define IN_BUFF_SZ 64
#define OUT_BUFF_SZ 64

#define TRUE 1
#define FALSE 0

#define bool uint8

void sendTextToNextion(char *text);
void sendDebugTextToNextion(char *msg);
void sendCountDownTextToNextion(int16 count);

#endif
/* [] END OF FILE */
